> For the complete documentation index, see [llms.txt](https://docs.videograph.ai/llms.txt).
> Use it to discover all available pages before exploring further.

# Delete Livestream


<PlaygroundComponent />

<AuthParams schemes={["basicAuth"]}>
<AuthType scheme="basicAuth">
<ParamField header="Authorization" param-type="string" required="true">
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
</ParamField>
</AuthType>
</AuthParams>

### Path Parameters

<ParamField showLocation="false" path="STREAM_ID" param-type="string" required="true">

</ParamField>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X DELETE "https://api.videograph.ai/video/services/api/v1/livestreams/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Basic YOUR_CREDENTIALS"
```

```python
import requests
import json

url = "https://api.videograph.ai/video/services/api/v1/livestreams/example_string"
headers = {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}

response = requests.delete(url, headers=headers)
print(response.json())
```

```javascript
const response = await fetch("https://api.videograph.ai/video/services/api/v1/livestreams/example_string", {
  method: "DELETE",
  headers: {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
)

func main() {
    
    req, err := http.NewRequest("DELETE", "https://api.videograph.ai/video/services/api/v1/livestreams/example_string", nil)
    if err != nil {
        panic(err)
    }
    
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()
    
    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api.videograph.ai/video/services/api/v1/livestreams/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - OK" default-open="true">

*OK*

</Expandable>

</div>

<Response tabs="200">

```json
{
  "code": 200,
  "data": {
    "createdOn": 1672715707376,
    "metadata": [
      {
        "key": "AdditionalExternalId",
        "value": "503962"
      }
    ],
    "playbackUrl": "http://rc-1.ind.videograph.ai/vglive/503962/playlist_dvr.m3u8",
    "rtmpUrl": "rtmp://rc-ingest.us.videograph.ai/rec/J7QCHBsR",
    "rtmpsUrl": "",
    "status": "Deleting",
    "streamKey": "503962",
    "streamUUID": "b7ce0bf9-c139-40f4-9306-753a534912c6",
    "title": "First Channel"
  },
  "message": "Updated livestream b7ce0bf9-c139-40f4-9306-753a534912c6",
  "status": "Success"
}
```

</Response>

